#include "main.h"

void init8255(){
	int i;
	for (i=0;i<16;i++) {
		keymap[i]=0xff;
	}
}

void write8255(unsigned int addr, unsigned char data){
	switch (addr&0x03) {
		case 0: // PORT A
			if (!(data&0x80)) {
				// reset 555 timer
				prompt_8255=0;
				read825x[2]&=0xbf;
			}
			read825x[1]=keymap[data&0x0f];
			return;
		case 1: // PORT B (read only)
			return;
		case 2: // PORT C (0-3: write, 4-7: read)
			return;
		case 3: // Control
		default:
			return;
	}
}